<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.activity.mapper.BladeActivityChannelMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.activity.entity.BladeActivityChannel">
        <id column="id" property="id" />
        <result column="activity_id" property="activityId" />
        <result column="name" property="name" />
        <result column="channel_id" property="channelId" />
        <result column="cost_price" property="costPrice" />
        <result column="channel_type" property="channelType" />
        <result column="product_id" property="productId" />
        <result column="order_id" property="orderId" />
        <result column="channel_long_link" property="channelLongLink" />
        <result column="channel_short_link" property="channelShortLink" />
        <result column="apply_for_time" property="applyForTime" />
        <result column="online_time" property="onlineTime" />
        <result column="remark" property="remark" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="status" property="status" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, activity_id, name, channel_id, cost_price, channel_type, product_id, order_id, channel_long_link, channel_short_link, apply_for_time, online_time, remark, create_time, update_time, status
    </sql>

</mapper>
